Bug 212713 - Grub is installed during DVD installation despite user has denied
Grub is installed during DVD installation despite user has denied
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Depends On:
  Show dependency treegraph
Reported: 2006-10-28 04:50 EDT by Ming Hua
Modified: 2008-05-06 12:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 12:35:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
/var/log/anaconda.log (gzipped) (28.57 KB, application/x-gzip)
2006-10-31 04:28 EST, Ming Hua
no flags Details
/var/log/anaconda.syslog (gzipped) (7.52 KB, application/x-gzip)
2006-10-31 04:30 EST, Ming Hua
no flags Details
/var/log/anaconda.xlog (gzipped) (8.69 KB, application/x-gzip)
2006-10-31 04:31 EST, Ming Hua
no flags Details

  None (edit)
Description Ming Hua 2006-10-28 04:50:38 EDT
Description of problem:
  I used the FC6 i386 DVD to install on a laptop with other OS (Debian unstable
and Windows XP) and grub already installed, and during installation anacoda has
a screen asking me if (and where) I want to install a bootloader.  I chose
"don't install a bootloader", intended to hand-edit my existing grub to boot
Fedora.  However grub package got installed anyway, and grub bootloader got
installed in the MBR of the harddrive, overwriting my existent grub.

Version-Release number of selected component (if applicable):
  (I don't know the anacoda version number, and I suppose the grub version
number doesn't matter.)

How reproducible:
  No idea.  Didn't do a second install to try to reproduce.

Steps to Reproduce:
1. Do an ordinary install with i386 DVD on a computer with grub already installed.
2. Choose "don't install a bootloader" when asked (keep the gray "install
bootloader on hd0" option unchanged).
3. Finish installation.
Actual results:
  Fedora installs its own grub on hard drive, overwriting existent one.

Expected results:
  Fedora doesn't touch the existent grub, maybe even not installing grub package
at all.

Additional info:
  None yet.  But feel free to ask more.
Comment 1 Jeremy Katz 2006-10-30 14:35:53 EST
Can you provide the /var/log/anaconda* ?
Comment 2 Ming Hua 2006-10-31 04:28:51 EST
Created attachment 139822 [details]
/var/log/anaconda.log (gzipped)
Comment 3 Ming Hua 2006-10-31 04:30:17 EST
Created attachment 139823 [details]
/var/log/anaconda.syslog (gzipped)
Comment 4 Ming Hua 2006-10-31 04:31:05 EST
Created attachment 139824 [details]
/var/log/anaconda.xlog (gzipped)
Comment 5 Bug Zapper 2008-04-04 00:11:59 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 6 Bug Zapper 2008-05-06 12:35:36 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.